#include "ThirdTest.h"
#include <cppunit/TestSuite.h>
#include <cppunit/TestCaller.h>

void ThirdTest::setUp() {
	hello=new Hello();
}

void ThirdTest::tearDown() {
	delete hello;
}

void ThirdTest::testRomana() {
	CPPUNIT_ASSERT(hello->sayHello("romana")=="Buna!");
}

void ThirdTest::testGermana() {
	CPPUNIT_ASSERT(hello->sayHello("germana")=="Guten Tag!");
}

void ThirdTest::testSpaniola() {
	CPPUNIT_ASSERT(hello->sayHello("spaniola")=="Hola!");
}

CppUnit::Test *ThirdTest::suite() {
	CppUnit::TestSuite *suite=new CppUnit::TestSuite("hello test");
	suite->addTest(new CppUnit::TestCaller<ThirdTest>("testRomana",&ThirdTest::testRomana));
	suite->addTest(new CppUnit::TestCaller<ThirdTest>("testGermana",&ThirdTest::testGermana));
	suite->addTest(new CppUnit::TestCaller<ThirdTest>("testSpaniola",&ThirdTest::testSpaniola));
	return suite;
}
